Skip to content

Retrieving a list of Sendings

GET /integrations/inxmail-professional/mailing-synchronizations/{id}/sendings

Request Parameters

Parameter Required In Description
id yes path The ID of the Mailing Synchronization the sendings should be retrieved for
pageSize no query Specifies the number of results per page. Default: 1000
includeAllStates no query Whether all sending states should be included. Otherwise, only sendings with state CREATED will be included. Default: false

Response Structure

Path Type Description
id String The ID of the sending instance
creationDate String The date and time when the sending instance was created
mailingId String The ID of the New Xperience mailing created for using the mailing editor.
scheduleDate String The date and time when the sending instance will be or was executed
mailingSynchronizationId String The ID of the mailing synchronization.
state String The current state of the sending attempt
transactionId String The transaction ID used in the initial request payload, null if none was provided
target Object The information about the sending target
target.mailingId Number The ID of the mailing in Inxmail Professional
target.sendingId Number The ID of the sending in Inxmail Professional
_links Object The links currently available for this resource.

The state field can take the following values:

  • PENDING means the request is still being processed.
  • CREATED means the mailing was successfully sent or scheduled for sending.
  • FAILED means the sending definitively failed.
  • INDETERMINATE_FAILURE means it's uncertain whether the sending went out successfully or not.

For more information, see Create a sending.

Name Description
inx:report The link to open the report for the sending.
inx:statistics The link to retrieve the statistics for the sending.
HTTP/1.1 200 OK
Content-Type: application/hal+json;charset=UTF-8
Content-Length: ...

{
   "_embedded" : {
      "inx:sendings" : [
         {
            "creationDate" : "2021-07-05T11:49:00.982Z",
            "id" : "fc156e6a-5949-4ab3-8daa-4e058250c0f8",
            "mailingSynchronizationId" : "3d945770-8069-4eff-bc6f-eb0290025a73",
            "scheduleDate" : null,
            "state": "CREATED",
            "transactionId": null,
            "target" : {
               "mailingId" : 1429,
               "sendingId" : 2007
            },
            "_links" : {
               "inx:report" : {
                  "href" : "https://myka-1.my.inxmail.de/reporting/reports/mailing-synchronizations/3d945770-8069-4eff-bc6f-eb0290025a73/sendings/fc156e6a-5949-4ab3-8daa-4e058250c0f8"
               },
               "inx:statistics" : {
                  "href" : "https://myka-1.my-api.inxmail.de/integrations/inxmail-professional/mailing-synchronizations/3d945770-8069-4eff-bc6f-eb0290025a73/sendings/fc156e6a-5949-4ab3-8daa-4e058250c0f8/statistics"
               },
               "self" : {
                  "href" : "https://myka-1.my-api.inxmail.de/integrations/inxmail-professional/mailing-synchronizations/3d945770-8069-4eff-bc6f-eb0290025a73/sendings/fc156e6a-5949-4ab3-8daa-4e058250c0f8"
               }
            }
         },
         {
            "creationDate" : "2021-07-05T11:50:23.746Z",
            "id" : "5236bdc3-8f9e-4e1a-975d-83576377a01b",
            "mailingSynchronizationId" : "3d945770-8069-4eff-bc6f-eb0290025a73",
            "scheduleDate" : null,
            "state": "CREATED",
            "transactionId": "8Gj8qkkPVF5ZC9MjDyhc4",
            "target" : {
               "mailingId" : 1430,
               "sendingId" : 2008
            },
            "_links" : {
               "inx:report" : {
                  "href" : "https://myka-1.my.inxmail.de/reporting/reports/mailing-synchronizations/3d945770-8069-4eff-bc6f-eb0290025a73/sendings/5236bdc3-8f9e-4e1a-975d-83576377a01b"
               },
               "inx:statistics" : {
                  "href" : "https://myka-1.my-api.inxmail.de/integrations/inxmail-professional/mailing-synchronizations/3d945770-8069-4eff-bc6f-eb0290025a73/sendings/5236bdc3-8f9e-4e1a-975d-83576377a01b/statistics"
               },
               "self" : {
                  "href" : "https://myka-1.my-api.inxmail.de/integrations/inxmail-professional/mailing-synchronizations/3d945770-8069-4eff-bc6f-eb0290025a73/sendings/5236bdc3-8f9e-4e1a-975d-83576377a01b"
               }
            },
         }
      ]
   },
   "_links" : {
      "curies" : [
         {
            "href" : "https://apidocs.inxmail.com/nxp/rest/v1/relations/{rel}",
            "name" : "inx",
            "templated" : true
         }
      ],
      "self" : {
         "href" : "https://myka-1.my-api.inxmail.de/integrations/inxmail-professional/mailing-synchronizations/3d945770-8069-4eff-bc6f-eb0290025a73/sendings"
      }
   }
}